<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Answer extends Model 
{

    protected $table = 'answers';
    public $timestamps = true;

    use SoftDeletes;

    protected $dates = ['deleted_at'];
    protected $fillable = array('language_key', 'question_id', 'show_textbox', 'textbox_label_key', 'image_id');

    public function question()
    {
        return $this->belongsTo('App\Models\Question', 'question_id', 'id')->select("id","language_key","category_id","question_type","is_subquestion","image_id","module");
    }

    public function subQuestionLogic()
    {
        return $this->hasOne('App\Models\SubQuestionLogic', 'answer_id', 'id')->select("id","parent_question_id","ansewer_id","sub_question_id");
    }

    public function answerDetails()
    {
        return $this->hasMany('App\Models\AnswerDetails', 'answer_id', 'id')->select("id","answer_id","language_id","option","label_text");
    }

    public function image()
    {
        return $this->belongsTo('App\Models\Image', 'image_id', 'id')->select("id","file_path");
    }

}