<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Category extends Model 
{

    protected $table = 'categories';
    public $timestamps = true;

    use SoftDeletes;

    protected $dates = ['deleted_at'];
    protected $fillable = array('language_key', 'module');

    public function categoryDetails()
    {
        return $this->hasMany('App\Models\CategoryDetails', 'category_id', 'id')->select("id","category_id","language_id","category");
    }

    public function vqQuestions()
    {
        return $this->hasMany('App\Models\Question', 'category_id', 'id')->where('module','VQ')->select("id","language_key","category_id","question_type","is_subquestion","image_id","module");
    }

    public function scQuestion()
    {
        return $this->hasMany('App\Models\Question', 'category_id', 'id')->where('module','SC')->select("id","language_key","category_id","question_type","is_subquestion","image_id","module");
    }

}