<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class LogicBlock extends Model 
{

    protected $table = 'logic_blocks';
    public $timestamps = true;

    use SoftDeletes;

    protected $dates = ['deleted_at'];
    protected $fillable = array('referral_pathway_id', 'order');

    public function referralPathways()
    {
        return $this->belongsTo('App\Models\ReferralPathway', 'referral_pathway_id', 'id');
    }

    public function pathwayLogic()
    {
        return $this->hasMany('App\Models\PathwayLogic', 'logic_block_id', 'id')->select("id","logic_block_id","question_id","operator");
    }

}