<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Question extends Model 
{

    protected $table = 'questions';
    public $timestamps = true;

    use SoftDeletes;

    protected $dates = ['deleted_at'];
    protected $fillable = array('language_key', 'category_id', 'question_type', 'is_subquestion', 'image_id', 'module', 'order');

    public function questionDetails()
    {
        return $this->hasMany('App\Models\QuestionDetail', 'question_id', 'id')->select("id","question_id","language_id","question");
    }

    public function answers()
    {
        return $this->hasMany('App\Models\Answer', 'question_id', 'id');
    }

    public function image()
    {
        return $this->belongsTo('App\Models\Image', 'image_id', 'id')->select("id","file_path");
    }

}