<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class ReferralPathway extends Model 
{

    protected $table = 'referral_pathways';
    public $timestamps = true;

    use SoftDeletes;

    protected $dates = ['deleted_at'];
    protected $fillable = array('title_language_key', 'description_language_key', 'parent_pathway_id', 'image_id');

    public function referralPathwayDetails()
    {
        return $this->hasMany('App\Models\ReferralPathwayDetails', 'referral_pathway_id', 'id')->select("id","referral_pathway_id","language_id","pathway_title","pathway_description");
    }

    public function subPathways()
    {
        return $this->hasMany('App\Models\ReferralPathway', 'parent_pathway_id', 'id')->select("id","title_language_key","description_language_key","parent_pathway_id","image_id");
    }

    public function image()
    {
        return $this->belongsTo('App\Models\Image', 'image_id', 'id')->select("id","file_path");
    }

    public function logics()
    {
        return $this->hasMany('App\Models\LogicBlock', 'refferal_pathway_id', 'id')->select("id","refferal_pathway_id","order");
    }

}