<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class SubQuestionLogic extends Model 
{

    protected $table = 'sub_question_logic';
    public $timestamps = true;

    use SoftDeletes;

    protected $dates = ['deleted_at'];
    protected $fillable = array('parent_question_id', 'sub_question_id');

    public function parentQuestion()
    {
        return $this->belongsTo('App\Models\Question', 'parent_question_id', 'id')->select("id","language_key","category_id","question_type","is_subquestion","image_id","module");
    }

    public function subQuestion()
    {
        return $this->belongsTo('App\Models\Question', 'sub_question_id', 'id')->select("id","language_key","category_id","question_type","is_subquestion","image_id","module");
    }

    public function logicAnswers()
    {
        return $this->hasMany('App\Models\SubQuestionLogicAnswer', 'logic_id', 'id');
    }

}