<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Tip extends Model 
{

    protected $table = 'tips';
    public $timestamps = true;

    use SoftDeletes;

    protected $dates = ['deleted_at'];
    protected $fillable = array('title_language_key', 'desc_language_key', 'order', 'image_id');

    public function tipDetails()
    {
        return $this->hasMany('App\Models\TipDetail', 'tip_id', 'id')->select("id","tip_id","language_id","title","description");
    }

    public function image()
    {
        return $this->belongsTo('App\Models\Image', 'image_id', 'id')->select("id","file_path");
    }

}